routes/web.php
    Route::post('/file/search', 'FileController@search')->name('file.search');

    Route::get('/event/{id}', ['uses' => 'EventController@mem']);
    Route::get('/user/resetpassword/{id}', ['uses' => 'UserManagementController@repassword']);
    //  Route::post('/uppass/{id}','UserManagementController@uppass');
    Route::match(['put', 'patch'], '/uppass/{id}', 'UserManagementController@uppass');
    Route::get('/member/resetpassword/{id}', ['uses' => 'PerAdminController@repassword']);
    Route::match(['put', 'patch'], 'member/uppass/{id}', 'PerAdminController@uppass');

    Route::get('/typelists/{org}', 'ServiceFormController@listtype');

    Route::resource('/asset-category', 'AssetCategoryController');
    Route::post('/asset-category/search', 'AssetCategoryController@search')->name('asset-category.search');
    Route::resource('/asset-status', 'AssetStatusController');
    Route::post('/asset-status/search', 'AssetStatusController@search')->name('asset-status.search');

    Route::resource('/asset-type', 'AssetTypeController');
    Route::post('/asset-type/search', 'AssetTypeController@search')->name('asset-type.search');
    Route::resource('/port-asset', 'PortAssetTypeController');
    Route::post('/port-asset/search', 'PortAssetTypeController@search')->name('port-asset.search');

    Route::resource('/asset-attachment', 'AssetAttachtController');
    Route::post('/asset-attachment/search', 'AssetAttachtController@search')->name('asset-attachment.search');
    Route::resource('/asset-transaction', 'AssetTransactionController');
    Route::resource('/asset-admin', 'AssetAdminController');
    Route::get('/assetadmin/fetch_data', 'AssetAdminController@fetch_data');
    Route::post('/asset-admin/search', 'AssetAdminController@search')->name('asset-admin.search');
    Route::resource('/party', 'PartyController');
    Route::post('/party/search', 'PartyController@search')->name('party.search');

    Route::resource('/province', 'ProvinceController');
    Route::post('/province/search', 'ProvinceController@search')->name('province.search');
    Route::resource('/district', 'DistrictController');
    Route::post('/district/search', 'DistrictController@search')->name('district.search');
    Route::resource('/subdistrict', 'SubDistrictController');
    Route::post('/subdistrict/search', 'SubDistrictController@search')->name('subdistrict.search');
    Route::get('/portfolio/asset/{id}', ['uses' => 'AssetController@ownassetadmin']);
    Route::get('/pagination/fetch_data', 'UserManagementController@fetch_data');
    Route::get('/assetcat/fetch_data', 'AssetCategoryController@fetch_data');
    Route::resource('/leadstatus', 'LeadStatusController');
    Route::post('/leadstatus/search', 'LeadStatusController@search')->name('leadstatus.search');
    Route::resource('/event-regis-status', 'EventRegisStatusController');
    Route::post('/event-regis-status/search', 'EventRegisStatusController@search')->name('event-regis-status.search');



    Route::resource('/tool-category', 'ToolCategoryController');
    Route::post('/tool-category/search', 'ToolCategoryController@search')->name('tool-category.search');

    Route::resource('/tool-type', 'ToolTypeController');
    Route::post('/tool-type/search', 'ToolTypeController@search')->name('tool-type.search');

    Route::resource('/term-of-payment', 'TermOfPaymentController');
    Route::post('/term-of-payment/search', 'TermOfPaymentController@search')->name('term-of-payment.search');

    Route::resource('/tooladmin', 'ToolAdminController');
    Route::post('/tooladmin/search', 'ToolAdminController@search')->name('tooladmin.search');

    Route::resource('/member-tool-status', 'MemberToolStatusController');
    Route::post('/member-tool-status/search', 'MemberToolStatusController@search')->name('member-tool-status.search');

    Route::resource('/toolsetadmin', 'ToolSetAdminController');
    Route::post('/toolsetadmin/search', 'ToolSetAdminController@search')->name('toolsetadmin.search');

    Route::resource('/toolpackageadmin', 'ToolPackageAdminController');
    Route::post('/toolpackageadmin/search', 'ToolPackageAdminController@search')->name('toolpackageadmin.search');

    Route::resource('/tool-package-to-set', 'ToolPackageToSetController');
    Route::post('/tool-package-to-set/search', 'ToolPackageToSetController@search')->name('tool-package-to-set.search');

    Route::resource('/member-tool-admin', 'MemberToolAdminController');
    Route::post('/member-tool-admin/search', 'MemberToolAdminController@search')->name('member-tool-admin.search');

    Route::resource('/tool-order-status', 'ToolOrderStatusController');
    Route::post('/tool-order-status/search', 'ToolOrderStatusController@search')->name('tool-order-status.search');

    Route::resource('/tool-order', 'ToolOrderController');
    Route::post('/tool-order/search', 'ToolOrderController@search')->name('tool-order.search');
    Route::get('/tool-order/invoice/{id}', 'ToolOrderController@invoice');
    Route::get('/tool-order-changestatus/{id}/{number}', 'ToolOrderController@changeorderstatus');

    Route::resource('/tool-status', 'ToolStatusController');
    Route::post('/tool-status/search', 'ToolStatusController@search')->name('tool-status.search');

    Route::resource('/onlinetool', 'OnlineToolController');
    Route::post('/onlinetool/search', 'OnlineToolController@search')->name('onlinetool.search');
    Route::get('/onlinetool/update/status', 'OnlineToolController@updatestatus');

    Route::resource('/onlinetoollog', 'OnlineToolLogController');
    Route::post('/onlinetoollog/search', 'OnlineToolLogController@search')->name('onlinetoollog.search');

    Route::resource('/leadadmin', 'LeadAdminController');
    Route::post('/leadadmin/searchnormal', 'LeadAdminController@searchnormal')->name('leadadmin.searchnormal');
    Route::post('/leadadmin/search', 'LeadAdminController@search')->name('leadadmin.search');
    Route::get('/leadadminchangstatus/{id}/{statusid}', 'LeadAdminController@changestatus');
    Route::get('/leadadminchangpriority/{id}/{number}', 'LeadAdminController@changepriority');

    Route::resource('/prospectadmin', 'ProspectAdminController');
    Route::get('/convert/prospectadmin/{id}', 'ProspectAdminController@convert');
    Route::post('/prospectadmin/searchnormal', 'ProspectAdminController@searchnormal')->name('prospectadmin.searchnormal');
    Route::post('/prospectadmin/search', 'ProspectAdminController@search')->name('prospectadmin.search');
    Route::get('/prospectadmin/status/{id}/{statusid}', 'ProspectAdminController@changestatus');
    Route::get('/prospectadmin/priority/{id}/{number}', 'ProspectAdminController@changepriority');
    Route::get('/prospectadmin/type/{id}/{number}', 'ProspectAdminController@changetype');

    Route::resource('/partnermanage', 'PartnerController');
    Route::post('/partnermanage/search', 'PartnerController@search')->name('partnermanage.search');

    Route::post('/partnerregister/search', 'PartnerController@search')->name('partnerregister.search');
    Route::get('/selectmember', 'PartnerController@selectmember');

    Route::get('/changestatuspartner/{statusid}/{pid}', 'PartnerController@changestatuspartner');
    Route::resource('/viewpartner', 'ViewpartnerController');
    Route::post('/viewpartner/search', 'ViewpartnerController@search')->name('viewpartner.search');

    Route::resource('/match-view-partner', 'MatchViewpartnerController');
    Route::post('/match-view-partner/search', 'MatchViewpartnerController@search')->name('match-view-partner.search');

    Route::resource('/partnergroup', 'PartnerGroupController');
    Route::post('/partnergroup/search', 'PartnerGroupController@search')->name('partnergroup.search');
    Route::resource('/match-partner-group', 'MatchPartnerGroupController');
    Route::post('/match-partner-group/search', 'MatchPartnerGroupController@search')->name('match-partner-group.search');

    Route::resource('/partnerstructure', 'PartnerStructureController');
    Route::post('/partnerstructure/search', 'PartnerStructureController@search')->name('partnerstructure.search');
    Route::resource('/partnerblock', 'PartnerBlockController');
    Route::post('/partnerblock/search', 'PartnerBlockController@search')->name('partnerblock.search');
    Route::resource('/partnerauth', 'PartnerAuthController');
    Route::post('/partnerauth/search', 'PartnerAuthController@search')->name('partnerauth.search');

    Route::resource('/case-category', 'CaseCategoryController');
    Route::post('/case-category/search', 'CaseCategoryController@search')->name('case-category.search');

    Route::resource('/case-type', 'CaseTypeController');
    Route::post('/case-type/search', 'CaseTypeController@search')->name('case-type.search');

    Route::resource('/case-middle-data-type', 'CaseMiddledataTypeController');
    Route::post('/case-middle-data-type/search', 'CaseMiddledataTypeController@search')->name('case-middle-data-type.search');

    Route::resource('/case-middle-data', 'CaseMiddledataController');
    Route::post('/case-middle-data/search', 'CaseMiddledataController@search')->name('case-middle-data.search');

    Route::resource('/cases', 'CasesController');
    Route::post('/cases/search', 'CasesController@search')->name('cases.search');

    Route::resource('/case-auth', 'CaseAuthController');
    Route::post('/case-auth/search', 'CaseAuthController@search')->name('case-auth.search');

    Route::resource('/procedures', 'ProceduresController');
    Route::post('/procedures/search', 'ProceduresController@search')->name('procedures.search');

    Route::resource('/stage', 'StageController');
    Route::get('/stage/detail/{id}', 'StageController@showStageDetail');

    Route::post('/stage/search', 'StageController@search')->name('stage.search');

    Route::resource('/process', 'ProcessController');
    Route::post('/process/search', 'ProcessController@search')->name('process.search');

app/Term_Of_Payment.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Term_Of_Payment extends Model
{
    /**
     * The table associated with the model.
     *
     * @var string
     */
     protected $table ='term_of_payment';

    protected $fillable = [
      'name','description'];
    /**
    * The attributes that aren't mass assignable.
    *
    * @var array
    */
    protected $guarded = [];


public function toolset()
{
return $this->hasMany('App\ToolSet','term_of_payment');
}
public function toolpackage()
{
return $this->hasMany('App\ToolPackage','term_of_payment');
}
}

app/Http/Controllers/TermOfPaymentController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use App\Structure;
use Illuminate\Support\Facades\Auth;
use App\Block;
use App\View;
use App\Asset_cat;
use App\ToolCategory;
use App\Term_Of_Payment;
use App\Http\Controllers\SidebarController;
class TermOfPaymentController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('view');
    }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $data = Term_Of_Payment::paginate(30);
        //return data;
        return view('system-mgmt/term-of-payment/index', ['data' => $data]);
    }





    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view( 'system-mgmt/term-of-payment/create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $this->validateInput($request);
         Term_Of_Payment::create([
            'name' => $request['name'],
            'description' => $request['description']
        ]);
        return redirect ('/admin/term-of-payment');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {

      //sidebar

$tree = session()->get('tree');
//sidebar


      $blocks = Structure::find($id)->portfolio;
      $structures = Structure::paginate(5);
      return view( 'system-mgmt/term-of-payment/index', compact(['structures','blocks','tree']));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $data = Term_Of_Payment::find($id);
        // Redirect to department list if updating department wasn't existed
        if ($data == null) {
          $data = Term_Of_Payment::find($id);

            return redirect ('/admin/term-of-payment');
        }

        return view( 'system-mgmt/term-of-payment/edit', ['data' => $data]);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $structure = Term_Of_Payment::findOrFail($id);
        $this->validateInput($request);
        $input = [
            'name' => $request['name'],
            'description' => $request['description']
        ];
        Term_Of_Payment::where('id', $id)
            ->update($input);

        return redirect ('/admin/term-of-payment');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        Term_Of_Payment::where('id', $id)->delete();
         return redirect ('/admin/term-of-payment');
    }

    /**
     * Search department from database base on some specific constraints
     *
     * @param  \Illuminate\Http\Request  $request
     *  @return \Illuminate\Http\Response
     */
    public function search(Request $request) {
        $constraints = [
            'name' => $request['name'],
            'description' => $request['description']
            ];

       $data = $this->doSearchingQuery($constraints);
       return view( 'system-mgmt/term-of-payment/index', ['data' => $data, 'searchingVals' => $constraints]);
    }

    private function doSearchingQuery($constraints) {
        $query = ToolCategory::query();
        $fields = array_keys($constraints);
        $index = 0;
        foreach ($constraints as $constraint) {
            if ($constraint != null) {
                $query = $query->where( $fields[$index], 'like', '%'.$constraint.'%');
            }

            $index++;
        }
        return $query->paginate(5);
    }
    private function validateInput($request) {
        $this->validate($request, [
        'name' => 'required|max:60|unique:asset_cat'
    ]);
    }
}

resources/views/system-mgmt/term-of-payment/base.blade.php
@extends('layouts.app-template')
@section('content')
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <h1>
        Term Of Payment
      </h1>
      <ol class="breadcrumb">
        <li><a href="#"><i class="fa fa-dashboard"></i> System Mangement</a></li>
        <li class="active">Term Of Payment</li>
      </ol>
    </section>
    @yield('action-content')
    <!-- /.content -->
  </div>
@endsection

resources/views/system-mgmt/term-of-payment/create.blade.php
@extends('system-mgmt.term-of-payment.base')

@section('action-content')
<div class="container">
    <div class="row">
        <div class="col-md-8 col-md-offset-2">
            <div class="panel panel-default">
                <div class="panel-heading">Add new term of payment</div>
                <div class="panel-body">
                    <form class="form-horizontal" role="form" method="POST" action="{{ route('term-of-payment.store') }}">
                        {{ csrf_field() }}

                        <div class="form-group{{ $errors->has('name') ? ' has-error' : '' }}">
                            <label for="name" class="col-md-4 control-label">Name</label>

                            <div class="col-md-6">
                                <input id="name" type="text" class="form-control" name="name" value="{{ old('name') }}" required autofocus>

                                @if ($errors->has('name'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('name') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>

                        <div class="form-group{{ $errors->has('description') ? ' has-error' : '' }}">
                            <label for="description" class="col-md-4 control-label">Description</label>

                            <div class="col-md-6">
                                <textarea id="description" type="text" class="form-control" name="description" value="{{ old('description') }}"></textarea>

                                @if ($errors->has('description'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('description') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="col-md-6 col-md-offset-4">
                                <button type="submit" class="btn btn-primary">
                                    Create
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

resources/views/system-mgmt/term-of-payment/edit.blade.php
@extends('system-mgmt.term-of-payment.base')

@section('action-content')
<div class="container">
    <div class="row">
        <div class="col-md-8 col-md-offset-2">
            <div class="panel panel-default">
                <div class="panel-heading">Update term of payment</div>
                <div class="panel-body">
                    <form class="form-horizontal" role="form" method="POST" action="{{ route('term-of-payment.update', ['id' => $data->id]) }}">
                        <input type="hidden" name="_method" value="PATCH">
                        <input type="hidden" name="_token" value="{{ csrf_token() }}">
                        <div class="form-group{{ $errors->has('name') ? ' has-error' : '' }}">
                            <label for="name" class="col-md-4 control-label">Name</label>

                            <div class="col-md-6">
                                <input id="name" type="text" class="form-control" name="name" value="{{ $data->name }}" required autofocus>

                                @if ($errors->has('name'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('name') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>

                        <div class="form-group{{ $errors->has('description') ? ' has-error' : '' }}">
                            <label for="description" class="col-md-4 control-label">Description</label>

                            <div class="col-md-6">
                                <textarea id="description" type="text" class="form-control" name="description" value="{{ $data->description }}"  >{{ $data->description }}</textarea>

                                @if ($errors->has('description'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('description') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="col-md-6 col-md-offset-4">
                                <button type="submit" class="btn btn-primary">
                                    Update
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

resources/views/system-mgmt/term-of-payment/index.blade.php
@extends('system-mgmt.term-of-payment.base')
@section('action-content')
    <!-- Main content -->

    <section class="content">

      <div class="box">
  <div class="box-header">
    <div class="row">
        <div class="col-sm-8">
          <h3 class="box-title">List of term of payment</h3>
        </div>
        <div class="col-sm-4">
          <a class="btn btn-primary" href="{{ route('term-of-payment.create') }}">Add new term of payment</a>
        </div>
    </div>
  </div>
  <!-- /.box-header -->
  <div class="box-body">
      <div class="row">
        <div class="col-sm-6"></div>
        <div class="col-sm-6"></div>
      </div>
      <form method="POST" action="{{ route('term-of-payment.search') }}">
         {{ csrf_field() }}
         @component('layouts.search', ['title' => 'Search'])
          @component('layouts.two-cols-search-row', ['items' => ['Name'],
          'oldVals' => [isset($searchingVals) ? $searchingVals['name'] : '']])
          @endcomponent
        @endcomponent
      </form>
    <div id="example2_wrapper" class="dataTables_wrapper form-inline dt-bootstrap">
      <div class="row">
        <div class="col-sm-12">
          @if(!empty($divisions))
        <section>
            <h3>Portfolio</h3>
            <table class="table table-hover">
              <thead>
                <tr>
                  <th>Block</th>
                </tr>
              </thead>
              <tbody>
                @forelse ($divisions as $division)

                <tr>
                  <td>{{$division->portfolio_type}}</td>
                </tr>
              @empty
                <tr><td>No data</td></tr>

              @endforelse
              </tbody>
            </table>
        </section>
      @endif
			<div style="overflow-x:auto;">
          <table id="example2" class="table table-bordered table-hover dataTable" role="grid" aria-describedby="example2_info">
            <thead>
              <tr role="row">
                <th width="20%" class="sorting" tabindex="0" aria-controls="example2" rowspan="1" colspan="1" aria-label="Structure: activate to sort column ascending">Name</th>
                <th width="20%" class="sorting" tabindex="0" aria-controls="example2" rowspan="1" colspan="1" aria-label="Structure: activate to sort column ascending">Description</th>

                <th tabindex="0" aria-controls="example2" rowspan="1" colspan="2" aria-label="Action: activate to sort column ascending">Action</th>
              </tr>
            </thead>
            <tbody>
            @foreach ($data as $da)
                <tr role="row" class="odd">
                  <td>{{ $da->name }}</td>
                  <td>{{ $da->description }}</td>
                  <td>
                    <form class="row" method="POST" action="{{ route('term-of-payment.destroy', ['id' => $da->id]) }}" onsubmit = "return confirm('Are you sure?')">
                        <input type="hidden" name="_method" value="DELETE">
                        <input type="hidden" name="_token" value="{{ csrf_token() }}">
                        <a href="{{ route('term-of-payment.edit', ['id' => $da->id]) }}" class="btn btn-warning col-sm-3 col-xs-5 btn-margin">
                        Update
                        </a>
                        <button type="submit" class="btn btn-danger col-sm-3 col-xs-5 btn-margin">
                          Delete
                        </button>
                    </form>
                  </td>
              </tr>
            @endforeach
            </tbody>
            <tfoot>
              <tr>
                <th width="20%" rowspan="1" colspan="1">Name</th>
                <th width="20%" class="sorting" tabindex="0" aria-controls="example2" rowspan="1" colspan="1" aria-label="Structure: activate to sort column ascending">Description</th>
                <th rowspan="1" colspan="2">Action</th>
              </tr>
            </tfoot>
          </table>
			</div>
        </div>
      </div>
      <div class="row">
        <div class="col-sm-5">
          <div class="dataTables_info" id="example2_info" role="status" aria-live="polite">Showing 1 to {{count($data)}} of {{count($data)}} entries</div>
        </div>
        <div class="col-sm-7">
          <div class="dataTables_paginate paging_simple_numbers" id="example2_paginate">
            {{ $data->links() }}
          </div>
        </div>
      </div>
    </div>
  </div>
  <!-- /.box-body -->
</div>
    </section>

    <!-- /.content -->
  </div>
@endsection